Skip to content

List bootstraps

GET
/jail/bootstraps
curl --request GET \
--url 'https://sylve.lan:8181/api/jail/bootstraps?pool=example' \
--header 'Authorization: <Authorization>'

List all supported pkgbase bootstrap entries for a pool, with their current install status

pool
required
string

Pool name

Success

Media typeapplication/json
object
data
Array<object>
object
dataset
string
error
string
exists
boolean
label
string
major
integer
minor
integer
mountPoint
string
name
string
phase
string
pool
string
status
string
type
string
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"dataset": "example",
"error": "example",
"exists": true,
"label": "example",
"major": 1,
"minor": 1,
"mountPoint": "example",
"name": "example",
"phase": "example",
"pool": "example",
"status": "example",
"type": "example"
}
],
"error": "example",
"message": "example",
"status": "example"
}

Bad Request

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Not Found

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Service Unavailable

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}